##### 7.5.14.0. multRat

Procedure from library `dmodloc.lib` (see dmodloc_lib).

Usage:
  multRat(v,w); v,w vectors

Assume:
  Assume that v,w have exactly two components, second ones not 0.

Return:
  vector, representing rational function (v[1]/v[2])*(w[1]/w[2])

Note:
  Possibly present non-commutative relations of the basering are ignored.

Example:

    LIB "dmodloc.lib";
    ring r = 0,(x,y),dp;
    vector v = [x,y];
    vector w = [y,x];
    multRat(v,w);
    ==> gen(2)+gen(1)
    multRat(v,w) - [1,1];
    ==> 0

User manual for Singular version 4.4.1, 2025, generated by texi2html.